Skip to content

# Interface: WizardStepProps ‹D›

## Type parameters

▪ D

## Hierarchy

- WizardCommonProps‹D›

↳ WizardStepProps

## Index

### Properties

- afterContent
- beforeContent
- className
- contentClass
- customButtons
- data
- disabledNext
- done
- first
- hideBackBtn
- hideNextBtn
- hideSteps
- isFirst
- isLast
- last
- loading
- moreButtons
- next
- nextLabel
- noValidate
- prev
- prevLabel
- reset
- save
- scrollable
- skip
- step
- title
- waiting
- wizard

## Properties

### `Optional` afterContent

• afterContent? : React.ReactNode

Defined in src/renderer/components/wizard/wizard.tsx:122

### `Optional` beforeContent

• beforeContent? : React.ReactNode

Defined in src/renderer/components/wizard/wizard.tsx:121

### `Optional` className

• className? : string | object

Defined in src/renderer/components/wizard/wizard.tsx:103

### `Optional` contentClass

• contentClass? : string | object

Defined in src/renderer/components/wizard/wizard.tsx:104

### `Optional` customButtons

• customButtons? : React.ReactNode

Defined in src/renderer/components/wizard/wizard.tsx:105

### `Optional` data

• data? : Partial‹D›

Inherited from WizardProps.data

Defined in src/renderer/components/wizard/wizard.tsx:10

### `Optional` disabledNext

• disabledNext? : boolean

Defined in src/renderer/components/wizard/wizard.tsx:109

### `Optional` done

• done? : function

Inherited from WizardProps.done

Defined in src/renderer/components/wizard/wizard.tsx:13

#### Type declaration:

▸ (): void

### `Optional` first

• first? : function

Defined in src/renderer/components/wizard/wizard.tsx:117

#### Type declaration:

▸ (): void

### `Optional` hideBackBtn

• hideBackBtn? : boolean

Defined in src/renderer/components/wizard/wizard.tsx:111

### `Optional` hideNextBtn

• hideNextBtn? : boolean

Defined in src/renderer/components/wizard/wizard.tsx:110

### `Optional` hideSteps

• hideSteps? : boolean

Inherited from WizardProps.hideSteps

Defined in src/renderer/components/wizard/wizard.tsx:14

### `Optional` isFirst

• isFirst? : function

Defined in src/renderer/components/wizard/wizard.tsx:119

#### Type declaration:

▸ (): boolean

### `Optional` isLast

• isLast? : function

Defined in src/renderer/components/wizard/wizard.tsx:120

#### Type declaration:

▸ (): boolean

### `Optional` last

• last? : function

Defined in src/renderer/components/wizard/wizard.tsx:118

#### Type declaration:

▸ (): void

### `Optional` loading

• loading? : boolean

Defined in src/renderer/components/wizard/wizard.tsx:107

### `Optional` moreButtons

• moreButtons? : React.ReactNode

Defined in src/renderer/components/wizard/wizard.tsx:106

### `Optional` next

• next? : function

Defined in src/renderer/components/wizard/wizard.tsx:115

#### Type declaration:

▸ (): void | boolean | Promise‹any›

### `Optional` nextLabel

• nextLabel? : React.ReactNode

Defined in src/renderer/components/wizard/wizard.tsx:114

### `Optional` noValidate

• noValidate? : boolean

Defined in src/renderer/components/wizard/wizard.tsx:123

### `Optional` prev

• prev? : function

Defined in src/renderer/components/wizard/wizard.tsx:116

#### Type declaration:

▸ (): void

### `Optional` prevLabel

• prevLabel? : React.ReactNode

Defined in src/renderer/components/wizard/wizard.tsx:113

### `Optional` reset

• reset? : function

Inherited from WizardProps.reset

Defined in src/renderer/components/wizard/wizard.tsx:12

#### Type declaration:

▸ (): void

### `Optional` save

• save? : function

Inherited from WizardProps.save

Defined in src/renderer/components/wizard/wizard.tsx:11

#### Type declaration:

▸ (`data`: Partial‹D›, `callback?`: function): void

Parameters:

▪ data: Partial‹D›

▪`Optional` callback: function

▸ (): void

### `Optional` scrollable

• scrollable? : boolean

Defined in src/renderer/components/wizard/wizard.tsx:125

### `Optional` skip

• skip? : boolean

Defined in src/renderer/components/wizard/wizard.tsx:124

### `Optional` step

• step? : number

Defined in src/renderer/components/wizard/wizard.tsx:112

### `Optional` title

• title? : string

Defined in src/renderer/components/wizard/wizard.tsx:102

### `Optional` waiting

• waiting? : boolean

Defined in src/renderer/components/wizard/wizard.tsx:108

### `Optional` wizard

• wizard? : Wizard

Defined in src/renderer/components/wizard/wizard.tsx:101